{%  set data = O.dataIndex %}
{%  set couleur = { '' : 'rgb(250,250,250)', 'Cours d\'eau de référence' : 'rgb(0,192,243)', 'Cours d\'eau naturel' : 'rgb(191,215,48)', 'Cours d\'eau semi-artificiel' : ' rgb(244,201,0)' , 'Cours d\'eau artificiel' : 'rgb(247,148,51)', 'Cours d\'eau très artificiel' : '#EE0000', 'Cours d\'eau enterré ou plan d\'eau' : 'rgb(150,150,150)' } %}

<div class="print-page">

    <table class="table">
        <tbody>
            <tr>
                <td>

                    <h2>Séquence tête de bassin  | Sysma <small>{{ ORGANISATION }}</small>   </h2>
                </td>
            </tr>      
            <tr>
                <td>
                    <table class="table table-noborder">
                        <tr>

                            <td>

                                <h1>{{ O.sysma_object }} <small>[{{ O.id }}] Tronçon : {{  data['id_tronc'].value|default(('Non renseigné')) }}</small></h1>
                                <p><small>Dernière modification de l'objet le {{ O.modified_at|date('d/m/Y') }}</small></p>


                            </td>
                            <td>      
                                <p>Linéaire : {{ O.infosGeom.perimetre|round }} m</p>
                            </td>
                            <td>
                                <p>Communes concernées : {%  for C in tabC %} {{  C.sysma_object }} {%  endfor %}</p>
                                <p>Masses d'eau : {%  for ME in tabME %} {{  ME.sysma_object }} {%  endfor %}</p>
                            </td>
                            <td style="width:150px;">&nbsp;</td>
                        </tr>
                    </table>
                    <table class="table table-noborder">
                        <tr>
                            <td style="width:40%"> <div id="map{{O.id}}" style="height:350px;width:100%"></div> </td>
                            <td style="width:40%"> <div id="map2{{O.id}}" style="height:350px;width:100%"></div> </td>
                            {%  if O.tabOP|length >0 %}      
                                <td  style="width:20%"> 
                                    <img src='{{ O.tabOP[0].Photo.thumbnail|raw }}' style="max-height:350px" />       
                                </td>
                            {%  endif %}

                        </tr>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table">
        <tr>
            <td>
                <h2>Description du lit</h2>
                <table class="table table-noborder">
                    {%  set tabLit = { 0:'type_res', 1:'talwegpos', 2:'talwegform', 3:'nivencaiss', 4:'ecoul_niv',5:'sinuo_type',6:'classe_cem', 7:'facies_eco', 8:'granul_dom',9:'granul_acc',10:'colmatage',11:'qtite_hab',12:'qtite_nat',13:'qtite_vege',14:'degres_irr'} %}
                    {%  for l in tabLit %}
                        <tr>
                            <td>{{  data[l].parameter.parameter }}</td>
                            <td><b>{{  data[l].value }}</b></td>
                        </tr>
                    {%  endfor %}
                </table>
            </td>
            <td>
                <table class="table table-noborder">
                    <tr><td colspan="2">
                            <h2>Evaluation de la rugosité du lit mineur</h2>
                        </td>
                    </tr>
                    <tr >
                        <td   style='background-color : #ececec !important;'>Coef. de rugosité (K)</td>
                        <td   style='background-color : #ececec !important;'>{{  data['rugos_clas'].value}} ({{ data['rugos_note'].value|round(1) }}) </td>
                    </tr>

                    {%  set tab = { 'n0' : 'Matériaux des berges (n0)', 'n1' : 'Degré d\'irrégularité (n1)' , 'n2' : 'Variation de la section (n2)' , 'n3' : 'Quantité d\'éléments (n3)',  'n4' : 'Quantité de végétation (n4)', 'm' : 'Sinuosité (m)'} %}
                    {%  for key,l in tab %}
                        <tr>
                            <td>{{ l }}</td>
                            <td><span class='secondary'>{{  data[key].value}}</span></td>                                
                        </tr>
                    {%  endfor %}                   
                    <tr><td colspan="2">
                            <h2>Indice d'artificialisation du lit mineur</h2>
                        </td>
                    </tr>
                    <tr >
                        <td style='background-color : {{ couleur[data['iartif_cla'].value]}} !important;'><b>Indice d'artificialisation</b></td>
                        <td style='background-color : {{ couleur[data['iartif_cla'].value]}} !important;'><b>{{  data['iartif_cla'].value }} ({{  data['iartif_not'].value|round(1) }})</b></td>
                    </tr>
                    {%  set tab = { 'indice_tal' : 'Position dans le talweg', 'indice_sin' : 'Sinuosité', 'indice_rug' : 'Rugosité', 'indice_cem' : 'CEM', 'indice_pbe' : 'Protection berge'}%}
                    {%  for key,l in tab %}
                        <tr>
                            <td>{{ l }}</td>
                            <td>{{  data[key].value}}</td>                                
                        </tr>
                    {%  endfor %}
                    <tr><td colspan="2">

                            <h2>Indice de résilience</h2>
                        </td>
                    </tr>

                    <tr>
                        {%  set color = '#cccccc' %}
                        {% if data['i_resil'].value >=0 and data['i_resil'].value < 1 %}{%  set color = '#ff0000' %}{% set classe='Nul' %}{%  endif %}
                        {% if data['i_resil'].value >=1 and data['i_resil'].value < 2 %}{%  set color = '#ff8f00' %}{% set classe='Faible' %}{%  endif %}
                        {% if data['i_resil'].value >=2and data['i_resil'].value < 3 %}{%  set color = '#19cc2c' %}{% set classe='Moyen' %}{%  endif %}
                        {% if data['i_resil'].value >=3 and data['i_resil'].value <= 4 %}{%  set color = '#00c3ff' %}{% set classe='Fort' %}{%  endif %}


                        <td style='background-color : #ececec !important; '><b>Indice de résilience</b></td>
                        <td style='background-color :#ececec !important; color:  {{ color }} !important;'><b>{{ classe }} ({{  data['i_resil'].value|round(1) }})</b></td>
                </table>
            </td>
            <td>
                <table class="table table-noborder">
                    <tr><td colspan="2">
                            <h2>Description des berges</h2>
                        </td></tr>

                    {%  set tab = { 0:'berg_mat', 1:'berg_eroda', 2:'berg_erosi', 3:'berg_protec'} %}
                    {%  for l in tab %}
                        <tr>
                            <td>{{  data[l].parameter.parameter }}</td>
                            <td><b>{{  data[l].value }}</b></td>
                        </tr>
                    {%  endfor %}
                    <tr><td colspan="2">
                            <h2>Pression sur la bande riveraine</h2>
                        </td></tr>


                    <tr>
                        {%  set color = '#cccccc' %}
                        {%  set classe = 'non défini' %}
                        {% if data['ip_bdriv'].value >=0 and data['ip_bdriv'].value < 0.25 %}{%  set color = '#00c3ff' %}{% set classe='Peu ou pas de pression' %}{%  endif %}
                        {% if data['ip_bdriv'].value >=0.25 and data['ip_bdriv'].value < 0.5 %}{%  set color = '#19cc2c' %}{% set classe='Pression faible' %}{%  endif %}
                        {% if data['ip_bdriv'].value >=0.5 and data['ip_bdriv'].value < 0.75 %}{%  set color = '#ff8f00' %}{% set classe='Pression moyenne' %}{%  endif %}
                        {% if data['ip_bdriv'].value >=0.75 and data['ip_bdriv'].value <= 200 %}{%  set color = '#ff0000' %}{% set classe='Pression forte' %}{%  endif %}

                        <td  style='background-color : #ececec !important; '><b>Indice de pression de la bande riveraine</b></td>
                        <td  style='background-color :  #ececec !important; color : {{ color }} !important;'><b>{{  classe }} ({{  data['ip_bdriv'].value }})</b></td>
                    </tr>
                    <tr>
                        <td colspan='2'>Rive gauche</td>
                    </tr>
                    {%  set tabLit = { 0:'brrg_ods5', 1:'brrg_ripi', 2:'brrg_drain', 3:'brrg_pieti'} %}
                    {%  for l in tabLit %}
                        <tr>
                            <td>{{  data[l].parameter.parameter }}</td>
                            <td><b>{{  data[l].value }}</b></td>
                        </tr>
                    {%  endfor %}
                    <tr>
                        <td colspan='2'>Rive droite</td>
                    </tr>
                    {%  set tabLit = { 0:'brrd_ods5', 1:'brrd_ripi', 2:'brrd_drain', 3:'brrd_pieti'} %}
                    {%  for l in tabLit %}
                        <tr>
                            <td>{{  data[l].parameter.parameter }}</td>
                            <td><b>{{  data[l].value }}</b></td>
                        </tr>
                    {%  endfor %}


                </table>

            </td>

        </tr>
    </table>

    {%  if maps|default('on') != 'off' %}

        {# MAP #}
        {%  set tabO = { 0: O } %}
        {%  if O.infosGeom.perimetre > 200 %}
            {%  set zoom = 14  %}
        {%  else %} 
            {%  set zoom = 15  %}
        {%  endif %}
        {%  set baseLayer = 'scan_25' %}
        {%  set map = 'map'~O.id %}
        {% include('map/simpleMap.twig') %}
        {# MAP2 #}
        {%  set tabO = { 0: O } %}
        {%  if O.infosGeom.perimetre > 150 %}
            {%  set zoom = 17  %}
        {%  else %} 
            {%  set zoom = 18  %}
        {%  endif %}
        {%  set baseLayer = 'orthophotos' %}
        {%  set map = 'map2'~O.id %}
        {% include('map/simpleMap.twig') %}

    {%  endif  %}

</div>
